1. Menu Categories - User
3enab
👤 User Application
  • 👤 User Application
  • 🏪 Vendor Application
  • 👨‍💼 Admin Application
  • 🚚 Delivery Application
  • Auth - User
    • Register a new user
      POST
    • Login user
      POST
    • Logout user
      POST
    • Refresh access token
      POST
    • Send phone OTP
      POST
    • Verify phone OTP
      POST
    • Send password reset OTP
      POST
    • Verify password reset OTP
      POST
    • Reset password
      POST
  • Addresses - User
    • Create a new address
      POST
    • Get all addresses
      GET
    • Get default address
      GET
    • Get address by ID
      GET
    • Update address
      PUT
    • Delete address
      DELETE
    • Set as default address
      PATCH
  • Ads - User
    • Get all advertisements
      GET
    • Get a specific advertisement by ID
      GET
  • Coupons - User
    • Get available coupons
      GET
  • Delivery Areas - User
    • Get all active delivery areas
      GET
  • Items - User
    • Get all items
      GET
    • Get a specific item by ID
      GET
    • Get variants of an item
      GET
    • Get all items (Direct Access)
      GET
    • Get all items for a specific vendor (Direct Access)
      GET
    • Get item by ID (Direct Access)
      GET
  • Menu Categories - User
    • Get all active menu categories for a vendor
      GET
    • Get a menu category by ID
      GET
  • Orders - User
    • Preview order pricing
    • Get all orders
    • Create a new order
    • Get order by ID
    • Cancel order
  • Rates - User
    • Create a new rating for a vendor
    • Get all ratings for a vendor
    • Get a specific rating by ID
    • Update a rating
    • Delete a rating
  • Users - User
    • Get current user profile
    • Update current user profile
    • Delete current user account
    • Change user password
  • Vendor Categories - User
    • Get all active vendor categories
    • Get a vendor category by ID
  • Vendors - User
    • Get all active vendors
    • Get vendor by ID
    • Get vendor logo
  • Versions - User
    • Get the latest version for User app
  • App Notices - User
    • Get active app notices
  1. Menu Categories - User

Get all active menu categories for a vendor

GET
/api/v1/vendors/{vendorId}/categories
Public endpoint to list active menu categories ordered by position

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Responses

🟢200OK
application/json
Menu categories retrieved successfully
Body

Example
{
    "status": "success",
    "message": "Operation completed successfully",
    "data": {
        "menuCategories": [
            {
                "_id": "64f1a2b3c4d5e6f7890a1234",
                "name": "Burgers",
                "description": "All burger items",
                "vendor": "64f1a2b3c4d5e6f7890a5678",
                "isActive": true,
                "order": 1,
                "createdAt": "2019-08-24T14:15:22.123Z",
                "updatedAt": "2019-08-24T14:15:22.123Z"
            }
        ]
    }
}
🔴500Internal Server Error
Modified at 2026-04-08 13:48:58
Previous
Get item by ID (Direct Access)
Next
Get a menu category by ID
Built with